Retrieve a campaign template
curl --request GET \
--url https://api.pocketflows.com/campaign_templates/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.pocketflows.com/campaign_templates/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.pocketflows.com/campaign_templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"campaign": {
"id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"business": "<string>",
"name": "<string>",
"segment": "<string>",
"steps": [
{
"type": "email",
"email_template_id": "<string>",
"custom_step_id": "<string>"
}
],
"email_address": "<string>",
"phone_number": "<string>",
"scheduled_at": "<string>",
"scheduled_end_at": "<string>",
"statistics": {
"emails": {
"sent": 123,
"delivered": 123,
"opened": 123,
"soft_bounced": 123,
"hard_bounced": 123,
"spam_reported": 123,
"clicked": 123
},
"custom_steps": [
{
"custom_step": "<string>",
"sent": 123
}
],
"executions": {
"total": 123,
"pending": 123,
"started": 123,
"finished": 123,
"errored": 123
},
"sms": {
"sms_sent_count": 123,
"sms_sent_segments_count": 123,
"mms_sent_count": 123,
"mms_sent_segments_count": 123
},
"total_customers_enrolled": 123,
"total_customers_started": 123,
"total_customers_finished": 123
},
"consumed_message_segments": {
"sms": 123,
"mms": 123,
"email": 123
},
"attributed_revenue": "<string>",
"metadata": {},
"enrolled_customers": [
"<string>"
],
"enrolled_customer_ids": [
"<string>"
],
"estimated_message_segments": {
"sms": 123,
"mms": 123,
"email": 123
}
},
"enabled": true
}Campaign templates
Retrieve a campaign template
GET
/
campaign_templates
/
{id}
Retrieve a campaign template
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the campaign template
Response
200 - application/json
The retrieved CampaignTemplate
The ID of the campaign template
The title of the campaign template
The description of the campaign template
The campaign that will get created when the campaign template is used as a base
Show child attributes
Show child attributes
Whether the campaign template is enabled
⌘I